### Function

# GObject type_remove_class_cache_func

since: 2.0

#### Declaration

    void
    g_type_remove_class_cache_func (
      gpointer cache_data,
      GTypeClassCacheFunc cache_func
    )

#### Description

Removes a previously installed `GTypeClassCacheFunc`. The cache maintained by `cache_func` has to be empty when calling `g_type_remove_class_cache_func()` to avoid leaks.

Available since: 2.0

This function is not directly available to language bindings.

#### Parameters

`cache_data`

  Type: `gpointer`

  Data that was given when adding `cache_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`cache_func`

  Type: `GTypeClassCacheFunc`

  A `GTypeClassCacheFunc`.